Bug 238784 - mail/sympa: Update to 6.2.44
Summary: mail/sympa: Update to 6.2.44
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/sympa-community/sy...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 08:43 UTC by Daniel
Modified: 2019-07-26 13:46 UTC (History)
3 users (show)

See Also:
dgeo: maintainer-feedback+
kai: merge-quarterly+


Attachments
Monharc patch (817 bytes, patch)
2019-07-22 07:00 UTC, Daniel
no flags Details | Diff
svn diff mail/sympa to 6.2.44 (36.43 KB, patch)
2019-07-22 08:21 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2019-06-24 08:43:30 UTC
Since last Friday, there is a new version released, which fixes quite a lot of bugs. Please update the mail/sympa port.

Thanks
Comment 1 geoffroy desvernay 2019-06-29 08:27:15 UTC
Working on it
Comment 2 Daniel 2019-07-22 07:00:05 UTC
Created attachment 205981 [details]
Monharc patch

We may run into the following bug:
http://savannah.nongnu.org/bugs/?49997

I have attached the patch for 6.2.44,
if you need any further help or testing, i can assist.
Comment 3 geoffroy desvernay 2019-07-22 08:21:25 UTC
Created attachment 205985 [details]
svn diff mail/sympa to 6.2.44

Here it comes :)

This may need a note in UPGRADING:
From version prior to 6.2.44
    WWSympa: TLS client authentication: Now it gets rfc822Name in X.509v3 subjectAltName, otherwise emailAddress attribute in subject DN. Note that earlier efforts getting attribute such as MAIL, Email in subject DN are no longer supported.
Comment 4 geoffroy desvernay 2019-07-22 08:23:20 UTC
Comment on attachment 205981 [details]
Monharc patch

@Daniel here this patch seems already applied in www/mhonarc since 2012 :)
https://www.freshports.org/commit.php?category=www&port=mhonarc&files=yes&message_id=201201290634.q0T6Yxlo086998@repoman.freebsd.org
Additionnaly this pr is for mail/sympa and I'n not the maintainer of www/mhonarc.
Comment 5 geoffroy desvernay 2019-07-22 08:25:16 UTC
This patch has been tested with poudriere and in production.
Comment 6 Daniel 2019-07-22 08:47:44 UTC
(In reply to geoffroy desvernay from comment #4)

i just read that report on the sympa mailinglist:
https://listes.renater.fr/sympa/arc/sympa-users/2019-07/msg00013.html

i will check the www/mhonarc port
Comment 7 geoffroy desvernay 2019-07-22 09:04:32 UTC
This may be true on !FreeBSD, as the patch has been integrated in port in 2012 ;)
Comment 8 commit-hook freebsd_committer 2019-07-26 11:35:32 UTC
A commit references this bug:

Author: kai
Date: Fri Jul 26 11:34:51 UTC 2019
New revision: 507352
URL: https://svnweb.freebsd.org/changeset/ports/507352

Log:
  mail/sympa: Update to 6.2.44

  Changelog since 6.2.42:

  * Indentation of web templates are corrected. Though this change will not
    affect functionality, administrators might have to apply their
    customization to the new templates again.
  * WWSympa: TLS client authentication: Now it gets rfc822Name in X.509v3
    subjectAltName, otherwise emailAddress attribute in subject DN. Note
    that earlier efforts getting attribute such as MAIL, Email in subject DN
    are no longer supported.
  * ARC: Now Mail-DKIM 0.55 or better is required for ARC support.
  * WWSympa: Admin function to bulk unsubscribe which has been provided by
    6.1.x was restored

  Fixed bugs:

  * "Use of uninitialized value $salt" on --import
  * Improve handling of missing sympa/web_tt2 during upgrade

  Merged pull requests:

  * Support Test::Compile 2.0.0
  * Remove all unneeded files from foundation-icons directory

  PR:		238784
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr> (maintainer)
  Reported by:	Daniel <d.stoye@cms.hu-berlin.de>
  MFH:		2019Q3

Changes:
  head/mail/sympa/Makefile
  head/mail/sympa/distinfo
  head/mail/sympa/files/patch-Makefile.am
  head/mail/sympa/pkg-plist
Comment 9 Kai Knoblich freebsd_committer 2019-07-26 11:37:08 UTC
Committed to the head branch, thank you both for reporting the issue and submitting patches!

Still waiting for approval to commit the changes to the 2019Q3 branch.
Comment 10 commit-hook freebsd_committer 2019-07-26 13:39:49 UTC
A commit references this bug:

Author: kai
Date: Fri Jul 26 13:39:13 UTC 2019
New revision: 507355
URL: https://svnweb.freebsd.org/changeset/ports/507355

Log:
  MFH: r507352

  mail/sympa: Update to 6.2.44

  Changelog since 6.2.42:

  * Indentation of web templates are corrected. Though this change will not
    affect functionality, administrators might have to apply their
    customization to the new templates again.
  * WWSympa: TLS client authentication: Now it gets rfc822Name in X.509v3
    subjectAltName, otherwise emailAddress attribute in subject DN. Note
    that earlier efforts getting attribute such as MAIL, Email in subject DN
    are no longer supported.
  * ARC: Now Mail-DKIM 0.55 or better is required for ARC support.
  * WWSympa: Admin function to bulk unsubscribe which has been provided by
    6.1.x was restored

  Fixed bugs:

  * "Use of uninitialized value $salt" on --import
  * Improve handling of missing sympa/web_tt2 during upgrade

  Merged pull requests:

  * Support Test::Compile 2.0.0
  * Remove all unneeded files from foundation-icons directory

  PR:		238784
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr> (maintainer)
  Reported by:	Daniel <d.stoye@cms.hu-berlin.de>

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/mail/sympa/Makefile
  branches/2019Q3/mail/sympa/distinfo
  branches/2019Q3/mail/sympa/files/patch-Makefile.am
  branches/2019Q3/mail/sympa/pkg-plist
Comment 11 Kai Knoblich freebsd_committer 2019-07-26 13:46:18 UTC
Committed to 2019Q3 branch, all done!